(function(exports) {
let response_lenght = 10
let queryTimeout = 1000
//exports.one_wire_count = 16
exports.can_nodes_count = 1
exports.channel_count = 12
//{ethernet: 0, master: 1, rs: 2, can: 3, rs_short: 4}
exports.network_interface_list = {
    "old": [4, 3],
}

let data_type_template = {"templates": [
    {"index": "1011_1","template": "restore_params"},
    {"index": "1018_3","template": "ip_addr"},
    {"index": "1018_2","template": "ip_addr"},
    {"index": "2000_2","template": "ip_addr"},
    {"index": "2000_3","template": "ip_addr"},
    {"index": "2000_6","template": "ip_addr"},
    {"index": "2001_5","template": "battery"},
    {"index": "2001_9","template": "change_value", "commands": templates_commands.access_values()},
    {"index": "2001_12","template": "bit_value", "commands": templates_commands.hw_error_flags()},
    {"index": "2001_13","template": "bit_value", "commands": templates_commands.sw_error_flags()},
    {"index": "2002_1","template": "combobox", "commands": templates_commands.access_commands()},
    {"index": "2002_2","template": "password"},
    {"index": "2103_1","template": "combobox", "commands": templates_commands.yes_no_values()},
    {"index": "2103_2","template": "combobox", "commands": templates_commands.CAN_speed()},
    {"index": "2143_1","template": "combobox", "commands": templates_commands.yes_no_values()},
    {"index": "2143_2","template": "combobox", "commands": templates_commands.baudrate()},
    {"index": "2143_4","template": "combobox", "commands": templates_commands.parity()},
    {"index": "2143_5","template": "combobox", "commands": templates_commands.stopbits()},
    {"index": "221B_2","template": "ip_addr"},
    {"index": "221B_3","template": "ip_addr"},
    {"index": "221B_4","template": "ip_addr"},
    {"index": "221B_5","template": "ip_addr"},
    {"index": "221B_6","template": "ip_addr"},
    {"index": "221B_2","class": "need_restart"},
    {"index": "221B_3","class": "need_restart"},
    {"index": "221B_4","class": "need_restart"},
    {"index": "221B_5","class": "need_restart"},
    {"index": "221B_6","class": "need_restart"},
    {"index": "5001_1","template": "change_value", "commands": templates_commands.user_app_status()},
    {"index": "5000_2","template": "datetime_simple"},
    {"index": "5000_3","template": "ip_addr"},
]}

exports.hide_fields_indexes = [
	{type: "one_field", index: 0x2001, sub: 5},
	{type: "one_field", index: 0x2081, sub: 1},
	//{type: "multy_sub", index: 0x0001, count: 5},
	//{type: "multy_index", index: 0x3F27, count: 10, index_multiply: 0x100},
	//{type: "multy_sub", index: 0x3F26, count: 5},
	//{type: "multy_index", index: 0x001, count: 10, index_multiply: 0x100},
]

exports.add_template = function(template)
{
    data_type_template.templates.push(template)
}

exports.get_multiply_templates = function() { return multiply_templates }
exports.add_multiply_templates = function(template)
{
	multiply_templates.push(template)
    configuration.add_multiply_templates(subindex_multiply)
}
let multiply_templates = [{
    "type": "subindex multiply",
    "count": exports.channel_count, 
    "templates":[
        {"index": "3F30", "template": "change_value", "commands": templates_commands.value_int16()},
]}]

exports.response_lenght = function() { return response_lenght;}
exports.queryTimeout = function() { return queryTimeout;}
exports.data_type_template = function() { return data_type_template;}
})(this.configuration = {});
